%define oname   diffy

Name:       ruby-%{oname}
Version:    3.4.0
Release:    %mkrel 1
Summary:    Diffy provides a convenient way to generate a diff from two strings or files
Group:      Development/Ruby
License:    MIT
URL:        https://github.com/smag/%{oname}
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
Diffy provides a convenient way to generate a diff from two strings or files

%files
%{gem_instdir}/
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}

#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install



%changelog
* Sun Jul 02 2023 bcornec <bcornec> 3.4.0-1.mga9
+ Revision: 1963439
- Upload ruby-diffy as a dep for vagrant-libvirt 0.12.2 support
- Created package structure for ruby-diffy.

